Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: override templatePath
Description

override templatePath with TypoScript

History
#1 - 2009-05-19 17:35 - Sebastian Kurfuerst
- Priority changed from Should have to Must have
- Target version changed from 1.0.0 alpha 1 to 1.0
- Branch set to v4

#2 - 2009-07-27 11:14 - Robert Lemke
- Target version deleted (1.0)

#3 - 2009-08-31 13:22 - Sebastian Kurfuerst
- Status changed from New to Resolved
- % Done changed from 0 to 100

works now via view.templateRootPath

The workflow is as follows:
- Copy the directories "Partials" "Templates" "Layouts" from Resources/Private of your extension to a directory you choose (f.e.
fileadmin/templates/BlogExample)
- set plugin.tx_blogexample.view.templatePath to filedmin/templates/BlogExample

There is NO fallback implemented, so in case no template is found, nothing is shown.

#4 - 2009-08-31 13:37 - Bastian Waidelich

Sebastian Kurfuerst wrote:

Two little notes:

- set plugin.tx_blogexample.view.templatePath to filedmin/templates/BlogExample

You probably want to add a TS Constant for that in your own extensions

There is NO fallback implemented
We decided that it's not useful to implement a fallback mechanism here as it would be totally confusing where to edit templates.
In most scenarios you would install the extension and copy all templates to fileadmin first.

so in case no template is found, nothing is shown.

It would be good to add a meaningful error message here, "silent errors" can be really frustrating ;)
